pbs_python + python 3 issue

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

pbs_python + python 3 issue

Sandra Maksimovic
Hi,

Has anyone out there had any success installing the pbs_python module into a Python 3+ Galaxy installation? I run into the following issue when installing https://github.com/ehiggs/pbs-python as per the documentation.

# python setup.py install
  File "setup.py", line 68
    print "Version: %s is not supported" %(PBS_VERSION)
                                       ^
SyntaxError: invalid syntax

I provide the PBS/Torque version via the PBS_PYTHON_INCLUDE_DIR environment variable but it doesn't seem to detect the version properly.

Thanks,
Sandra

Disclaimer

This e-mail and any attachments to it (the "Communication") are, unless otherwise stated, confidential, may contain copyright material and is for the use only of the intended recipient. If you receive the Communication in error, please notify the sender immediately by return e-mail, delete the Communication and the return e-mail, and do not read, copy, retransmit or otherwise deal with it. Any views expressed in the Communication are those of the individual sender only, unless expressly stated to be those of Murdoch Children’s Research Institute (MCRI) ABN 21 006 566 972 or any of its related entities. MCRI does not accept liability in connection with the integrity of or errors in the Communication, computer virus, data corruption, interference or delay arising from or in respect of the Communication.
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  %(web_page_url)s

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
Reply | Threaded
Open this post in threaded view
|

Re: pbs_python + python 3 issue

Galaxy Development List Archive mailing list
From the syntax I can see pbs-python still uses a Python 2 style
print, it will need updating for Python 3.

I suggest opening an issue on the repository, and seeing what the
author says. I would guess the Python 2 to 3 changes will be fairly
easy, but worry that there have been other changes to Galaxy in the
meantime which would be more trouble for this PBS extension as it does
not appear to have been updated for 6 years.

Peter

On Mon, Nov 9, 2020 at 5:34 AM Sandra Maksimovic
<[hidden email]> wrote:

>
> Hi,
>
> Has anyone out there had any success installing the pbs_python module into a Python 3+ Galaxy installation? I run into the following issue when installing https://github.com/ehiggs/pbs-python as per the documentation.
>
> # python setup.py install
>   File "setup.py", line 68
>     print "Version: %s is not supported" %(PBS_VERSION)
>                                        ^
> SyntaxError: invalid syntax
>
> I provide the PBS/Torque version via the PBS_PYTHON_INCLUDE_DIR environment variable but it doesn't seem to detect the version properly.
>
> Thanks,
> Sandra
>
> Disclaimer
>
> This e-mail and any attachments to it (the "Communication") are, unless otherwise stated, confidential, may contain copyright material and is for the use only of the intended recipient. If you receive the Communication in error, please notify the sender immediately by return e-mail, delete the Communication and the return e-mail, and do not read, copy, retransmit or otherwise deal with it. Any views expressed in the Communication are those of the individual sender only, unless expressly stated to be those of Murdoch Children’s Research Institute (MCRI) ABN 21 006 566 972 or any of its related entities. MCRI does not accept liability in connection with the integrity of or errors in the Communication, computer virus, data corruption, interference or delay arising from or in respect of the Communication.
> ___________________________________________________________
> Please keep all replies on the list by using "reply all"
> in your mail client.  To manage your subscriptions to this
> and other Galaxy lists, please use the interface at:
>   %(web_page_url)s
>
> To search Galaxy mailing lists use the unified search at:
>   http://galaxyproject.org/search/
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  %(web_page_url)s

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/